import { createApp } from 'vue'
import { createRouter, createWebHistory } from "vue-router";
import './index.css'
import './styles.css'
import App from './App.vue'
import Home from "./components/Home.vue";
import About from "./components/About.vue";
import FortranIndex from "./components/Fortran/Fortran_Index.vue";
import FortranReadingFiles from "./components/Fortran/Fortran_Reading_Files.vue";
import FortranHelloWorld from "./components/Fortran/Fortran_Hello_World.vue";
import FortranSetUp from "./components/Fortran/Fortran_Set_Up.vue";
import FortranDataTypes from "./components/Fortran/Fortran_Data_Types.vue";
import FortranCallsMethodsFunctionsSubroutines from "./components/Fortran/Fortran_Calls_Methods_Functions_Subroutines.vue";
import CIndex from "./components/C/C_Index.vue";
import CSetUp from "./components/C/C_Set_Up.vue";

const router = createRouter({
    history: createWebHistory(),
    routes: [
        {path: '/', name: 'Home', component: Home},
        {path: '/About', name: 'About', component: About},

        {path: '/Fortran', name: 'Fortran', component: FortranIndex},
        {path: '/Fortran/SetUp', name: 'F_SetUp', component: FortranSetUp},
        {path: '/Fortran/HelloWorld', name: 'F_HelloWorld', component: FortranHelloWorld},
        {path: '/Fortran/DataTypes', name: 'F_DataTypes', component: FortranDataTypes},
        {path: '/Fortran/Methods', name: 'F_Methods', component: FortranCallsMethodsFunctionsSubroutines},
        {path: '/Fortran/ReadingAFile', name: 'F_ReadingAFile', component: FortranReadingFiles},

        {path: '/C', name: 'C', component: CIndex},
        {path: '/C/SetUp', name: 'C_SetUp', component: CSetUp},
    ]
})

createApp(App).use(router).mount('#app')